Lisp help

Discussion in 'AutoCAD' started by Keith, Apr 16, 2004.

  1. Keith

    Keith Guest

    (defun C:kak ()(command "-insert" "easement-num" pause "" "" "" pause)
    (princ))

    I have a block with attribute that I want to have a quick one line lisp to
    insert it. For some reason it's not prompting me to enter the attribute.
    What am I missing?
     
    Keith, Apr 16, 2004
    #1
  2. Is AttReq=1 ?

    --
    R. Robert Bell


    "Keith" <Nope> wrote in message (defun C:kak ()(command "-insert" "easement-num" pause "" "" "" pause)
    (princ))

    I have a block with attribute that I want to have a quick one line lisp to
    insert it. For some reason it's not prompting me to enter the attribute.
    What am I missing?
     
    R. Robert Bell, Apr 16, 2004
    #2
  3. Keith

    tsigwing Guest

    make sure that attdia is set to 1.
     
    tsigwing, Apr 16, 2004
    #3
  4. Keith

    Keith Guest

    yes
    R. Robert Bell spoke without thinking first:
    :: Is AttReq=1 ?
    ::
    :: --
    :: R. Robert Bell
    ::
    ::
    :: "Keith" <Nope> wrote in message :: (defun C:kak ()(command "-insert" "easement-num" pause "" "" ""
    :: pause) (princ))
    ::
    :: I have a block with attribute that I want to have a quick one line
    :: lisp to insert it. For some reason it's not prompting me to enter
    :: the attribute. What am I missing?
     
    Keith, Apr 16, 2004
    #4
  5. Keith

    Keith Guest

    I don't want the dia to come up.

    tsigwing spoke without thinking first:
    :: make sure that attdia is set to 1.
     
    Keith, Apr 16, 2004
    #5
  6. Keith

    Keith Guest

    For some reason it starting to work now. Didn't change anything.

    Thanks.
    R. Robert Bell spoke without thinking first:
    :: Is AttReq=1 ?
    ::
    :: --
    :: R. Robert Bell
    ::
    ::
    :: "Keith" <Nope> wrote in message :: (defun C:kak ()(command "-insert" "easement-num" pause "" "" ""
    :: pause) (princ))
    ::
    :: I have a block with attribute that I want to have a quick one line
    :: lisp to insert it. For some reason it's not prompting me to enter
    :: the attribute. What am I missing?
     
    Keith, Apr 16, 2004
    #6
  7. Keith

    Don Butler Guest

    It would have to be ATTREQ is set to 0

    (defun C:kak ()
    ....Save ATTREQ
    (setvar "attreq" 1)
    (command "-insert" "easement-num" pause "" "" "" pause)
    ....Restore ATTREQ
    )

    Don
     
    Don Butler, Apr 16, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.